summaryrefslogtreecommitdiff
path: root/compiler/one-cmds/tests/onecc_neg_028.test
diff options
context:
space:
mode:
authorHyeongseok Oh <hseok82.oh@samsung.com>2023-09-08 10:51:25 +0000
committerHyeongseok Oh <hseok82.oh@samsung.com>2023-09-08 10:51:25 +0000
commiteed258505ee1ad0f72d9e0a8a3934f2e9e7b5e79 (patch)
tree1aa860656489469003375a0f67edb1d729f7dc6b /compiler/one-cmds/tests/onecc_neg_028.test
parent3a0ad354832744d138b361ffcfd21f33494beb6b (diff)
downloadnnfw-eed258505ee1ad0f72d9e0a8a3934f2e9e7b5e79.tar.gz
nnfw-eed258505ee1ad0f72d9e0a8a3934f2e9e7b5e79.tar.bz2
nnfw-eed258505ee1ad0f72d9e0a8a3934f2e9e7b5e79.zip
Diffstat (limited to 'compiler/one-cmds/tests/onecc_neg_028.test')
-rw-r--r--compiler/one-cmds/tests/onecc_neg_028.test43
1 files changed, 43 insertions, 0 deletions
diff --git a/compiler/one-cmds/tests/onecc_neg_028.test b/compiler/one-cmds/tests/onecc_neg_028.test
new file mode 100644
index 000000000..beba24ab6
--- /dev/null
+++ b/compiler/one-cmds/tests/onecc_neg_028.test
@@ -0,0 +1,43 @@
+#!/bin/bash
+
+# Copyright (c) 2023 Samsung Electronics Co., Ltd. All Rights Reserved
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# use 'backend' and 'backends' option simultaneously
+
+filename_ext="$(basename -- $0)"
+filename="${filename_ext%.*}"
+
+trap_err_onexit()
+{
+ if grep -q "option cannot be used simultaneously" "${filename}.log"; then
+ echo "${filename_ext} SUCCESS"
+ exit 0
+ fi
+
+ echo "${filename_ext} FAILED"
+ exit 255
+}
+
+trap trap_err_onexit ERR
+
+configfile="onecc_neg_028.cfg"
+
+rm -f ${filename}.log
+
+# run test
+onecc -C ${configfile} > ${filename}.log 2>&1
+
+echo "${filename_ext} FAILED"
+exit 255